# Type Alias LicenseUserPriceUpdateSimulation

type LicenseUserPriceUpdateSimulation = {
currentPeriodAmount: number;
currentPeriodDateEnd?: string;
currentPeriodDateStart?: string;
nextTermAmount: number;
nextTermDateEnd?: string;
nextTermDateStart?: string;
}

- Defined in jamespot-user-api/src/types/license.ts:53

##### Index

### Properties

currentPeriodAmount
currentPeriodDateEnd?
currentPeriodDateStart?
nextTermAmount
nextTermDateEnd?
nextTermDateStart?

## Properties

### currentPeriodAmount

currentPeriodAmount: number

- Defined in jamespot-user-api/src/types/license.ts:54

### `Optional` currentPeriodDateEnd

currentPeriodDateEnd?: string

- Defined in jamespot-user-api/src/types/license.ts:56

### `Optional` currentPeriodDateStart

currentPeriodDateStart?: string

- Defined in jamespot-user-api/src/types/license.ts:55

### nextTermAmount

nextTermAmount: number

- Defined in jamespot-user-api/src/types/license.ts:57

### `Optional` nextTermDateEnd

nextTermDateEnd?: string

- Defined in jamespot-user-api/src/types/license.ts:59

### `Optional` nextTermDateStart

nextTermDateStart?: string

- Defined in jamespot-user-api/src/types/license.ts:58